%define anolis_release 1
%{!?domain_ontology: %global domain_ontology org.freedesktop}

%global with_enca 0
%global with_libcue 0
%global with_rss 0

%if 0%{with with_rss}
%global systemd_units tracker-extract-3.service tracker-miner-fs-3.service tracker-miner-fs-control-3.service tracker-miner-rss-3.service tracker-writeback-3.service
%else
%global systemd_units tracker-extract-3.service tracker-miner-fs-3.service tracker-miner-fs-control-3.service tracker-writeback-3.service
%endif

%global __provides_exclude_from ^%{_libdir}/tracker-miners-3.0/
%global __requires_exclude ^(libtracker-extract\.so|libtracker-miner-3\.0\.so|libextract-.*\.so|libwriteback-.*\.so)

Name:           tracker-miners
Version:        3.5.2
Release:        %{anolis_release}%{?dist}
Summary:        Tracker miners and metadata extractors

License:        GPLv2+ and LGPLv2+
URL:            https://gnome.pages.gitlab.gnome.org/tracker/
Source0:        https://download.gnome.org/sources/tracker-miners/3.3/tracker-miners-%{version}.tar.xz

BuildRequires:  pkgconfig(blkid)
BuildRequires:  pkgconfig(dbus-1) >= 1.3.1
BuildRequires:  pkgconfig(exempi-2.0) >= 2.1.0
BuildRequires:  pkgconfig(gexiv2)
BuildRequires:  pkgconfig(gio-2.0) >= 2.62.0
BuildRequires:  pkgconfig(gio-unix-2.0) >= 2.62.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.62.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.62.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.62.0
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(gupnp-dlna-2.0) >= 0.9.4
BuildRequires:  pkgconfig(gupnp-dlna-gst-2.0) >= 0.9.4
BuildRequires:  pkgconfig(icu-i18n) >= 4.8.1
BuildRequires:  pkgconfig(icu-uc) >= 4.8.1
BuildRequires:  pkgconfig(libexif) >= 0.6
BuildRequires:  pkgconfig(libgsf-1) >= 1.14.24
BuildRequires:  pkgconfig(libgxps)
BuildRequires:  pkgconfig(libiptcdata)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libnm)
BuildRequires:  pkgconfig(libosinfo-1.0) >= 0.2.9
BuildRequires:  pkgconfig(libpng) >= 0.89
BuildRequires:  pkgconfig(libseccomp) >= 2.0
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6
BuildRequires:  pkgconfig(poppler-glib) >= 0.16.0
BuildRequires:  pkgconfig(systemd) >= 242
BuildRequires:  pkgconfig(totem-plparser)
BuildRequires:  pkgconfig(tracker-sparql-3.0) >= 3.5.0
BuildRequires:  pkgconfig(tracker-testutils-3.0)
BuildRequires:  pkgconfig(upower-glib) >= 0.9.0
%if 0%{?with_enca}
BuildRequires:  pkgconfig(enca)
%endif
%if 0%{?with_libcue}
BuildRequires:  pkgconfig(libcue)
%endif
BuildRequires:  pkgconfig(libexif)
%if 0%{?with_rss}
BuildRequires:  pkgconfig(libgrss)
%endif
BuildRequires:  asciidoc
BuildRequires:  gcc
BuildRequires:  giflib-devel
BuildRequires:  meson >= 0.51
BuildRequires:  gettext
BuildRequires:  systemd-rpm-macros

Obsoletes:      tracker3-miners < 3.1.0~rc
Conflicts:      tracker3-miners < 3.1.0~rc
Provides:       tracker3-miners = %{version}-%{release}

Requires:       tracker >= %{installed_version_of tracker-devel}

%description
Tracker is an efficient search engine and triplestore for desktop, embedded
and mobile.

The Tracker project is divided into two main repositories:

* Tracker SPARQL contains the triplestore database, provided as the
  `libtracker-sparql` library and implemented using SQLite. This repo also
  contains the database ontologies and the commandline user interface
  (`tracker3`).

* Tracker Miners contains the indexer daemon (*tracker-miner-fs-3*) and tools
  to extract metadata from many different filetypes.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n tracker-miners-%{version}

%build
%meson \
  -Dtracker_core=system \
%if ! 0%{?with_libcue}
  -Dcue=disabled \
%endif
%if ! 0%{?with_rss}
  -Dminer_rss=false \
%endif
  -Dsystemd_user_services_dir=%{_userunitdir} \
  %{nil}

%meson_build


%install
%meson_install

%find_lang tracker3-miners


%post
%systemd_user_post %{systemd_units}

%preun
%systemd_user_preun %{systemd_units}

%postun
%systemd_user_postun_with_restart %{systemd_units}


%files -f tracker3-miners.lang
%license COPYING*
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker-miner-fs-3.desktop
%if 0%{?with_rss}
%config(noreplace) %{_sysconfdir}/xdg/autostart/tracker-miner-rss-3.desktop
%endif
%{_libdir}/tracker-miners-3.0/
%{_libexecdir}/tracker*
%{_datadir}/dbus-1/interfaces/org.freedesktop.Tracker3.Miner.Files.Index.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Tracker3.Miner.xml
%{_datadir}/dbus-1/services/%{domain_ontology}.Tracker*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/tracker3-miners/
%{_mandir}/man1/tracker*.1*
%{_userunitdir}/tracker*.service

%files doc
%doc AUTHORS NEWS README.md

%changelog
* Sat May 13 2023 Funda Wang <fundawang@yeah.net> - 3.5.2-1
- New version 3.5.2

* Wed Apr 26 2023 Funda Wang <fundawang@yeah.net> - 3.5.1-1
- New version 3.5.1

* Fri Apr 14 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 3.5.0-2
- Optimize the spec file
- Add doc package

* Mon Mar 20 2023 Funda Wang <fundawang@yeah.net> - 3.5.0-1
- New version 3.5.0

* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 3.4.3-2
- Rebuild for new libtiff

* Sun Jan 15 2023 Funda Wang <fundawang@yeah.net> - 3.4.3-1
- New version 3.4.3

* Tue Dec 6 2022 Funda Wang <fundawang@yeah.net> - 3.4.2-1
- New version 3.4.2

* Mon Dec 05 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.4.1-2
- rebuild with icu update

* Fri Nov 25 2022 Funda Wang <fundawang@yeah.net> - 3.4.1-1
- New version 3.4.1

* Wed May 11 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.3.0-3
- fix install warning of missing tracker-miner-rss-3.service

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.3.0-2
- Bump version to rebuild with icu-71

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.3.0-1
- init from upstream
